%global desc This is a Fedmsg consumer that listens for when the Fedora\
updates/rawhide/branched repositories sync with the master mirror, and\
then triggers Atomic OSTree composes.
%global modname fedmsg_atomic_composer
%global sum Composes atomic trees when Fedora repositories are updated

Name:           python-fedmsg-atomic-composer
Version:        2017.1
Release:        1%{?dist}
BuildArch:      noarch

License:        GPLv3
Summary:        %{sum}
URL:            https://github.com/fedora-infra/fedmsg-atomic-composer
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  python-setuptools
BuildRequires:  python2-devel


%description
%{desc}


%package -n python2-fedmsg-atomic-composer
Summary:        %{summary}

%{?python_provide:%python_provide python2-fedmsg-atomic-composer}

Requires:       mock >= 1.3.4
Requires:       python-click
Requires:       python-mako


%description -n python2-fedmsg-atomic-composer
%{desc}


%prep
%setup -q -n fedmsg-atomic-composer-%{version}


%build
%py2_build


%install
%py2_install
mkdir -p %{buildroot}/%{_sharedstatedir}/fedora-atomic/


%files -n python2-fedmsg-atomic-composer
%license LICENSE
%doc CHANGELOG.md README.rst
%{_bindir}/fedmsg-atomic-composer-cli
%{python_sitelib}/%{modname}/
%{python_sitelib}/%{modname}*.egg-info
%attr(775, root, mock) /%{_sharedstatedir}/fedora-atomic/


%changelog
* Fri Mar 17 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 2017.1-1
- Update to 2017.1.
  https://github.com/fedora-infra/fedmsg-atomic-composer/blob/2017.1/CHANGELOG.md

* Thu Mar 02 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 2017.0-1
- Update to 2017.0.
  https://github.com/fedora-infra/fedmsg-atomic-composer/blob/2017.0/CHANGELOG.md

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2016.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Oct 19 2016 Randy Barlow <randy@electronsweatshop.com> - 2016.3-1
- Update to 2016.3.

* Wed Sep 14 2016 Randy Barlow <randy@electronsweatshop.com> - 2016.2-2
- Pulled from lmacken's bodhi2 Copr.
- Remove commented -consumer subpackage.
- Use /var/lib/fedora-atomic instead of /srv/fedora-atomic.
- Rename the package to use a python2- prefix with a python- provides.

* Wed Jan 06 2016 Luke Macken <lmacken@redhat.com> - 2016.1-1
- Latest upstream release

* Tue Jan 20 2015 Luke Macken <lmacken@redhat.com> - 2015.1-1
- Latest upstream release

* Tue Dec 16 2014 Luke Macken <lmacken@redhat.com> - 2014.2-1
- Latest upstream release

* Mon Dec 15 2014 Luke Macken <lmacken@redhat.com> - 2014.1-1
- Initial production release

* Tue Nov 18 2014 Luke Macken <lmacken@redhat.com> - 0.0.1-2
- Create a consumer subpackage

* Mon Oct 20 2014 Luke Macken <lmacken@redhat.com> - 0.0.1-1
- Initial package
